
#if (__VERSION__ > 120)
in vec2 pass_uv;
out vec4 fragmentColor;
#else
varying vec2 pass_uv;
#endif

uniform sampler2D tex;


// rgb -> luminace(ycbcr 709)
void main() {
	vec4 color = texture2D(tex, pass_uv);
	float y = 0.216 * color.r + 0.7152 * color.g + 0.0722 * color.b;
#if (__VERSION__ > 120)
	fragmentColor = vec4(y, y, y, color.a);
#else
	gl_FragColor = vec4(y, y, y, color.a);
#endif
}
