// TOASTER YUV_FRAGMENT_SHADER_STRING
precision lowp float;
varying highp vec2 interp_tc;
uniform sampler2D y_tex;
uniform sampler2D u_tex;
uniform sampler2D v_tex;

//STARTDEF
uniform sampler2D texture_filter1;  // toasterMetal
uniform sampler2D texture_filter2;  // toasterSoftLight
uniform sampler2D texture_filter3;  // toasterCurves
uniform sampler2D texture_filter4;  // toasterOverlayMapWarm
uniform sampler2D texture_filter5;  // toasterColorShift
//ENDDEF

void main() {
    float y = texture2D(y_tex, interp_tc).r;
    float u = texture2D(u_tex, interp_tc).r - 0.5;
    float v = texture2D(v_tex, interp_tc).r - 0.5;
    gl_FragColor = vec4(y + 1.403 * v, y - 0.344 * u - 0.714 * v, y + 1.77 * u, 1);

    //STARTCODE
    lowp vec3 texel;
    mediump vec2 lookup;
    vec2 blue;
    vec2 green;
    vec2 red;
    lowp vec4 tmpvar_1;
    //tmpvar_1 = texture2D (inputImageTexture, textureCoordinate);
    tmpvar_1 = gl_FragColor;
    texel = tmpvar_1.xyz;
    lowp vec4 tmpvar_2;
    tmpvar_2 = texture2D (texture_filter1, interp_tc);
    lowp vec2 tmpvar_3;
    tmpvar_3.x = tmpvar_2.x;
    tmpvar_3.y = tmpvar_1.x;
    texel.x = texture2D (texture_filter2, tmpvar_3).x;
    lowp vec2 tmpvar_4;
    tmpvar_4.x = tmpvar_2.y;
    tmpvar_4.y = tmpvar_1.y;
    texel.y = texture2D (texture_filter2, tmpvar_4).y;
    lowp vec2 tmpvar_5;
    tmpvar_5.x = tmpvar_2.z;
    tmpvar_5.y = tmpvar_1.z;
    texel.z = texture2D (texture_filter2, tmpvar_5).z;
    red.x = texel.x;
    red.y = 0.16666;
    green.x = texel.y;
    green.y = 0.5;
    blue.x = texel.z;
    blue.y = 0.833333;
    texel.x = texture2D (texture_filter3, red).x;
    texel.y = texture2D (texture_filter3, green).y;
    texel.z = texture2D (texture_filter3, blue).z;
    mediump vec2 tmpvar_6;
    tmpvar_6 = ((2.0 * interp_tc) - 1.0);
    mediump vec2 tmpvar_7;
    tmpvar_7.x = dot (tmpvar_6, tmpvar_6);
    tmpvar_7.y = texel.x;
    lookup = tmpvar_7;
    texel.x = texture2D (texture_filter4, tmpvar_7).x;
    lookup.y = texel.y;
    texel.y = texture2D (texture_filter4, lookup).y;
    lookup.y = texel.z;
    texel.z = texture2D (texture_filter4, lookup).z;
    red.x = texel.x;
    green.x = texel.y;
    blue.x = texel.z;
    texel.x = texture2D (texture_filter5, red).x;
    texel.y = texture2D (texture_filter5, green).y;
    texel.z = texture2D (texture_filter5, blue).z;
    lowp vec4 tmpvar_8;
    tmpvar_8.w = 1.0;
    tmpvar_8.xyz = texel;
    gl_FragColor = tmpvar_8;
    //ENDCODE
}
