
#if (__VERSION__ > 120)
in vec2 pass_uv;
out vec4 frag_color;
#else
varying vec2 pass_uv;
#endif

uniform sampler2D tex;

void main() {
#if (__VERSION__ > 120)
	frag_color = texture2D(tex, pass_uv);
#else
	gl_FragColor = texture2D(tex, pass_uv);
#endif
}